package com.zioinfo.cms.i18n.mapper;

import com.zioinfo.cms.i18n.CmsI18n;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface I18nMapper {
    List<CmsI18n> findByLocale(@Param("locale") String locale);
    List<String> findLocales();
    CmsI18n findById(@Param("id") Long id);
    int upsert(@Param("locale") String locale, @Param("resourceKey") String resourceKey, @Param("value") String value);
    int delete(@Param("id") Long id);
}
